Skip to main content
`Ctrl`+`K`

# PetscSectionCopy

Creates a shallow (if possible) copy of the `PetscSection`

## Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionCopy(PetscSection section, PetscSection newSection)

Collective

## Input Parameter

- section - the `PetscSection`

## Output Parameter

- newSection - the copy

## Developer Notes

What exactly does shallow mean in this context?

## See Also

PetscSection, `PetscSection`, `PetscSectionCreate()`, `PetscSectionDestroy()`

## Level

intermediate

## Location

src/vec/is/section/interface/section.c

Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages